Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class AbstractPlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

Direct Known Subclasses:
  CompositePlanningValueRangeDescriptor, FromEntityPropertyPlanningValueRangeDescriptor, FromSolutionPropertyPlanningValueRangeDescriptor, UndefinedPlanningValueRangeDescriptor

    public abstract class AbstractPlanningValueRangeDescriptor

extends Object
implements PlanningValueRangeDescriptor

Field Summary
`protected boolean` | `excludeUninitializedPlanningEntity`
`protected PlanningVariableDescriptor` | `variableDescriptor`

Constructor Summary
`AbstractPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor)`

Method Summary
`protected Collection<?>` | `applyFiltering(Collection<?> values)`
`PlanningVariableDescriptor` | `getVariableDescriptor()`
`boolean` | `isValuesCacheable()`
`protected void` | `processExcludeUninitializedPlanningEntity(ValueRange valueRangeAnnotation)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.domain.value.PlanningValueRangeDescriptor
`extractAllValuesWithFiltering, extractValuesWithFiltering, getValueCount, isEntityDependent`

Field Detail

### variableDescriptor

    protected PlanningVariableDescriptor variableDescriptor

### excludeUninitializedPlanningEntity

    protected boolean excludeUninitializedPlanningEntity

Constructor Detail

### AbstractPlanningValueRangeDescriptor

    public AbstractPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor)

Method Detail

### getVariableDescriptor

    public PlanningVariableDescriptor getVariableDescriptor()

### processExcludeUninitializedPlanningEntity

    protected void processExcludeUninitializedPlanningEntity(ValueRange valueRangeAnnotation)

### applyFiltering

    protected Collection<?> applyFiltering(Collection<?> values)

### isValuesCacheable

    public boolean isValuesCacheable()

  Specified by:
    `isValuesCacheable` in interface `PlanningValueRangeDescriptor`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.